Error while trying to update plugin

I have the following error while trying to update a plugin:
"Something went wrong. Appointments+ on http://agilmentor.com could not be updated."
I have the WPMU DEV plugin updated, I tried to logout and login again and also resenting the api key, but the error persist

Thanks

Luis